#pragma once

#ifndef _HEADER_PARSE_H
#define _HEADER_PARSE_H

#include <string>
#include <exception>

typedef std::basic_string<TCHAR> tstring;

typedef struct {
	tstring Subject;
	tstring Location;
	SYSTEMTIME StartTime;
	SYSTEMTIME EndTime;
	bool IsAllDayEvent;
} ITEM;

bool ParseAppointment(LPCTSTR lpCmdLine, ITEM* lpItem);
bool ParseTask(LPCTSTR lpCmdLine, ITEM* lpItem);
LPCTSTR GetLastParseErrorMessage(void);

void GetNow(LPSYSTEMTIME lpTime);

#endif //_HEADER_PARSE_H
