#pragma once

#include <windows.h>
#include <pimstore.h>
#include <string>
#include <vector>
#include "parse.h"

namespace POOM {

	class CApp {
	public:
		CApp(void);
		~CApp(void);

		IPOutlookApp &GetApp(void);

		bool CreateAppointment(const ITEM& item, bool IsReminderSet);
		bool CreateTask(const ITEM& item, bool IsReminderSet);

	private:
		bool IsEmptyTime(const SYSTEMTIME *lpTime);

	private:
		BOOL m_AlreadyInitialized;
		IPOutlookApp *m_pApp;
	};

}; //namespace POOM